<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
	<link rel="shortcut icon" type="image/x-icon" href="/static/images/pfavicon.ico" />
    <title>PEPPERL+FUCHS DashBoard</title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.css" rel="stylesheet">
	<script src="/static/RGraph/libraries/RGraph.common.core.js"></script>
	<script src="/static/RGraph/libraries/RGraph.common.dynamic.js"></script>
	<script src="/static/RGraph/libraries/RGraph.meter.js"></script>
	<link href="/static/css/main.css" rel="stylesheet">
</head>
<body>
  <nav class="navbar navbar-dark" style="background-color:#FFFFFF;border-bottom: 5px solid#425563">
	<div class="container-logo">
        <a href="/" title="">
            <img src="/static/images/pf_logo.svg" title="" alt="">
        </a>
        <img class="claim" src="/static/images/claim.png">
	</div>
  </nav>
 <style>
 .colCard{
	padding:20px;
 }
 </style>

<div class="container" id="chartContainer" style='max-width:100%'>
    <div class="row">
		<div class="col colCard" style ="width:50%">
				<div class="row" style="padding-top:20px;text-align:center">	
					<div class="col">
						<img src="/static/images/IQT1.jpg">
					</div>
				</div>
				<div class="row" style="text-align:center">
					<h4 style="width:100%;padding:20px">IQT1-F61-IO-V1</h4>
				</div>
				<!--<div class="row" style="text-align:center">
					<h5 style="width:100%">TaskActive</h5>
				</div>
				<div class="row" style="text-align:center">
					<h5 id="taskActive" style="width:100%">Loading</h5>
				</div>-->
				<div class="row" style="text-align:center">
					<h5 style="width:100%">ASCII Value</h5>
				</div>
				<div class="row" style="text-align:center">
					<h5 id="valueAscii" style="width:100%">Loading</h5>
				</div>
				<div class="row" style="text-align:center">
					<h5 style="width:100%">HexValue</h5>
				</div>
				<div class="row" style="text-align:center">
					<h5 id="value" style="width:100%">Loading</h5>
				</div>
				<div class="row" style="text-align:center">
					<h5 id="mtime" style="width:100%">Loading</h5>
				</div>
        </div>
		<div class="col-4 colCard">
				<div class="row" style="padding-top:20px;text-align:center">	
					Read
				</div>
				<div class="row" style="text-align:center">
					<button id="readon" type="button" class="btn btn-success">On</button>
					<button id="readoff" type="button" class="btn btn-danger">Off</button>
				</div>
				<div class="row" style="padding-top:20px;text-align:center">	
					Write
				</div>
				<div class="row" style="text-align:center">
				
					<form class="form-inline">
					  <div class="form-group mx-sm-3 mb-2">
						<label for="inputData" class="sr-only">Data</label>
						<input id="datatoSend" type="text" class="form-control" id="inputData" placeholder="Data">
					  </div>
					  <button id="writeData" type="button" class="btn btn-primary">Send Data</button>
					</form>
					
				</div>
				
        </div>
    </div>
</div>
<!-- Footer -->
<footer class="page-footer font-small blue" style="background:#00A587">
  <!-- Copyright -->
  <div class="footer-copyright text-center py-3" style="color:#FFFFFF;padding-top:50px!important;padding-bottom:50px!important">© 2020 Copyright:
    <a style="color:#FFFFFF" href="https://www.pepperl-fuchs.com/">Pepperl+Fuchs</a>
  </div>
  <!-- Copyright -->

</footer>
<!-- Footer -->
<!--suppress JSUnresolvedLibraryURL -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
<!--suppress JSUnresolvedLibraryURL -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
<!--suppress JSUnresolvedLibraryURL -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js"></script>
<script>
    $(document).ready(function () {
        
		$("#readon").click(function(){
			$.get("/ReadDataTag?node={{serverJsonData['data']['pdo_node']}}&v1=1", function(data, status){
			  //alert(data + "\nStatus: " + status);
			});
		  });
		$("#readoff").click(function(){
			$.get("/ReadDataTag?node={{serverJsonData['data']['pdo_node']}}&v1=0", function(data, status){
			  //alert(data + "\nStatus: " + status);
			});
		  });	
		$("#writeData").click(function(){
			$.get("/WriteDataTag?node={{serverJsonData['data']['pdo_node']}}&v1="+$("#datatoSend").val(), function(data, status){
			  alert(data + "\nStatus: " + status);
			});
		  });
		
				const source_{{serverJsonData["data"]["name"]}} = new EventSource("/OPCUAClient2?node1={{serverJsonData['data']['node']}}");
				source_{{serverJsonData["data"]["name"]}}.onmessage = function (event) {
					const data = JSON.parse(event.data);
					$("#value").html(data.value);
					$("#valueAscii").html(hex_to_ascii(data.value));
					$("#mtime").html(data.time);
				}
	
    });
	function hex_to_ascii(str1)
	 {
		var hex  = str1.toString();
		var str = '';
		for (var n = 0; n < hex.length; n += 2) {
			str += String.fromCharCode(parseInt(hex.substr(n, 2), 16));
		}
		return str;
	 }
	
</script>
</body>
</html>